unit CustOrds;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Grids, DBGrids, StdCtrls, Mask, DBCtrls;

type
  TfmCustOrd = class(TForm)
    DBEdit1: TDBEdit;
    DBGrid1: TDBGrid;
    procedure DBGrid1Enter(Sender: TObject);
    procedure DBEdit1Enter(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  end;

var
  fmCustOrd: TfmCustOrd;

implementation

uses DM, Toolbar;

{$R *.DFM}

procedure TfmCustOrd.DBGrid1Enter(Sender: TObject);
begin
  fmToolBar.SetNavigator(dm1.OrdersSource);
end;

procedure TfmCustOrd.DBEdit1Enter(Sender: TObject);
begin
  fmToolBar.SetNavigator(dm1.CustomerSource);
end;

procedure TfmCustOrd.FormActivate(Sender: TObject);
begin
  { When returning to this form from Customer, DBEdit1Enter and DBGrid1Enter
    do not occur.  This is okay if we're going to DBEdit1, which has the same
    datasource as DBGrid1, but not if we're going to DBGrid1.  This procedure
    will take care of resetting the datasource in that case. }
  if ActiveControl is TDBGrid then
    DBGrid1Enter(nil)
end;

end.
